Bug 23536 - Remove obsolete category markup from patron entry
Summary: Remove obsolete category markup from patron entry
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 23534 23533
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-04 15:53 UTC by Owen Leonard
Modified: 2020-04-01 20:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 23536: Remove obsolete category markup from patron entry (3.20 KB, patch)
2019-09-04 17:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23536: Remove obsolete category markup from patron entry (3.25 KB, patch)
2019-09-06 19:53 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23536: Remove obsolete category markup from patron entry (3.33 KB, patch)
2020-02-28 15:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23536: Remove obsolete category markup from patron entry (3.38 KB, patch)
2020-02-29 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-04 15:53:05 UTC
There are three places in the patron entry template which use the same logic for displaying the patron category. These can be converted into a single re-usable block.
Comment 1 Owen Leonard 2019-09-04 16:58:16 UTC
I'm repurposing this bug because further investigation shows that the repeated section of markup is in fact obsolete. I will submit a patch to remove the obsolete markup.
Comment 2 Owen Leonard 2019-09-04 17:09:52 UTC Comment hidden (obsolete)
Comment 3 Maryse Simard 2019-09-06 19:53:51 UTC
Created attachment 92663 [details] [review]
Bug 23536: Remove obsolete category markup from patron entry

This patch removes some obsolete markup from the patron entry template
(memberentrygen.tt). The old markup was necessary in a long-gone version
of Koha where it was possible to add patrons using built-in categories
instead of defining your own.

To test, apply the patch and test the process of adding or editing
patrons. You should see the patron category displayed correctly in the
page title, breadcrumbs, and main heading.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 4 Katrin Fischer 2019-09-15 20:37:31 UTC
Blocked by bug 23533 and bug 23534 atm. Please switch back once this has been resolved!
Comment 5 Owen Leonard 2020-02-28 15:02:03 UTC
Created attachment 99769 [details] [review]
Bug 23536: Remove obsolete category markup from patron entry

This patch removes some obsolete markup from the patron entry template
(memberentrygen.tt). The old markup was necessary in a long-gone version
of Koha where it was possible to add patrons using built-in categories
instead of defining your own.

To test, apply the patch and test the process of adding or editing
patrons. You should see the patron category displayed correctly in the
page title, breadcrumbs, and main heading.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 6 Katrin Fischer 2020-02-29 20:39:25 UTC
Created attachment 99827 [details] [review]
Bug 23536: Remove obsolete category markup from patron entry

This patch removes some obsolete markup from the patron entry template
(memberentrygen.tt). The old markup was necessary in a long-gone version
of Koha where it was possible to add patrons using built-in categories
instead of defining your own.

To test, apply the patch and test the process of adding or editing
patrons. You should see the patron category displayed correctly in the
page title, breadcrumbs, and main heading.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2020-03-02 09:47:26 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 8 Jonathan Druart 2020-03-03 15:03:22 UTC
Not sure this is correct, here we wanted to make the "category_type" translatable. It is not possible to create new category types.
Comment 9 Jonathan Druart 2020-03-03 15:13:45 UTC
(In reply to Jonathan Druart from comment #8)
> Not sure this is correct, here we wanted to make the "category_type"
> translatable. It is not possible to create new category types.

Hum weird, not from this patch, neither from previous bug that impacts it (bug 15407). So either it's super old, or it never worked as intended.
Comment 10 Joy Nelson 2020-04-01 20:39:50 UTC
not backported to 19.11.x due to dependencies